Bug 724851 - copyTrans should not be invoked when doing the first push.
copyTrans should not be invoked when doing the first push.
Status: CLOSED NOTABUG
Product: Zanata
Classification: Community
Component: Component-Persistence (Show other bugs)
1.3-alpha-1
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-21 21:19 EDT by Ding-Yi Chen
Modified: 2012-01-26 21:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-26 21:13:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-07-21 21:19:11 EDT
Description of problem:
When push the content of a new project, the copyTrans is not needed.

However, copyTrans was invoked even for the initial push. Consequently, the pushing is very slow.


Version-Release number of selected component (if applicable):
1.4-SNAPSHOT (20110722-0601)

How reproducible:
Always

Steps to Reproduce:
1. Prepare a new project, say, anaconda, http://git.fedorahosted.org/git/?p=anaconda.git
2. Start pushing anaconda
3. From server side, monitor the output of server log.
  
Actual results:
copyTrans was invoked.

Expected results:
copyTrans should be suppress for initial run.
Comment 1 Sean Flanigan 2011-09-07 00:32:42 EDT
Assigning to Scrum product owner for prioritisation.
Comment 2 Sean Flanigan 2012-01-26 21:13:11 EST
The current implementation of copyTrans copies suitable translations from any matching document, across all projects and versions.

Thus, even in a new project, it is possible to find matches, especially if the document has been pushed to a different project at some point.

You can disable the copyTrans feature when pushing like this:
  mvn zanata:push -Dzanata.copyTrans=false
for Maven, or 
  zanata push --no-copytrans" 
for Python.

Note You need to log in before you can comment on or make changes to this bug.